class_name StandardRoom
extends TileMap

@export_category("Room Openings")
@export var left: bool = false
@export var right: bool = false
@export var top: bool = false
@export var bottom: bool = false


@onready
var room_size: Vector2i = self.get_used_rect().size
@onready
var cell_size: Vector2i = self.tile_set.tile_size

func is_block() -> bool:
	if self.left or self.right or self.top or self.bottom:
		return false
	return true
